Debian Bug report logs - #129109
O: cgiemail -- CGI Form-to-Mail converter

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: thomas smith <tgs@tap.finbar.dyndns.org>

Date: Mon, 14 Jan 2002 03:18:01 UTC

Severity: normal

Fixed in version cgiemail/1.6-16

Done: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#129109; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to thomas smith <tgs@tap.finbar.dyndns.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: thomas smith <tgs@tap.finbar.dyndns.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: cgiemail -- CGI Form-to-Mail converter
Date: Sun, 13 Jan 2002 22:09:43 -0500
Package: wnpp
Version: N/A; reported 2002-01-13
Severity: normal

cgiemail has problems with reading the source of random script files in
one's http hierarchy, including things in cgi-bin.  it is written in C,
which I (the maintainer) can't write.  Upstream is unresponsive.  fixing
would require big changes, i think.  i'm not up to it.

have fun.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux tap 2.4.17 #2 Sat Jan 5 22:37:38 EST 2002 i686
Locale: LANG=C, LC_CTYPE=C




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#129109; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thomas Smith <tgs@finbar.dyndns.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 129109@bugs.debian.org (full text, mbox):

From: Thomas Smith <tgs@finbar.dyndns.org>
To: 129109@bugs.debian.org
Subject: working on security fixes
Date: Wed, 16 Jan 2002 17:34:30 -0500
hello, possible adopter of this package.

I, the former maintainer, am working on security fixes with Colin
Watson.  Hopefully soon this package will be free of the bigger security
bugs, and thus easier to adopt.

-- 
Thomas "resc" Smith <tgs@finbar.dyndns.org>
web: http://finbar.dyndns.org/
gpg key id 1024D/ACABA81E, fingerprint:
3A47 CFA5 0E5D CF4A 5B22  12D3 FF1B 84FE ACAB A81E



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#129109; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Anibal Monsalve Salazar <anibal@computer.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 129109@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
To: 129109@bugs.debian.org
Cc: Thomas Smith <tgs@finbar.dyndns.org>, Andrew Suffield <asuffield@debian.org>
Subject: Re: working on security fixes
Date: Sat, 11 Jan 2003 11:54:42 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 2002-01-16 at 17:34 -0500, Thomas Smith <tgs@finbar.dyndns.org> wrote:

>hello, possible adopter of this package.
>
>I, the former maintainer, am working on security fixes with Colin
>Watson.  Hopefully soon this package will be free of the bigger
>security bugs, and thus easier to adopt.

Hello Thomas,

I'm interested in adopting cgiemail and at present, I'm applying
for official developer status.

Could you please let me know about the current status of cgiemail?

Kind regards,

AnĂ­bal Monsalve Salazar

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)
Comment: http://www-personal.monash.edu.au/~anibal/gpg-public-key.html

iD8DBQE+IAYCipBneRiAKDwRAil3AJ4hgf2rIPKqUBDevAFaLgiuR74bhACeIsOr
WHfG8XIxwhdgw91+JnrcI5s=
=cDOC
-----END PGP SIGNATURE-----



Reply sent to Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to thomas smith <tgs@tap.finbar.dyndns.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 129109-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
To: 129109-close@bugs.debian.org
Subject: Bug#129109: fixed in cgiemail 1.6-16
Date: Sun, 20 Apr 2003 06:02:09 -0400
We believe that the bug you reported is fixed in the latest version of
cgiemail, which is due to be installed in the Debian FTP archive:

cgiemail_1.6-16.diff.gz
  to pool/main/c/cgiemail/cgiemail_1.6-16.diff.gz
cgiemail_1.6-16.dsc
  to pool/main/c/cgiemail/cgiemail_1.6-16.dsc
cgiemail_1.6-16_i386.deb
  to pool/main/c/cgiemail/cgiemail_1.6-16_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 129109@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org> (supplier of updated cgiemail package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 20 Apr 2003 15:53:01 +1000
Source: cgiemail
Binary: cgiemail
Architecture: source i386
Version: 1.6-16
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
Changed-By: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
Description: 
 cgiemail   - CGI Form-to-Mail converter
Closes: 129109
Changes: 
 cgiemail (1.6-16) unstable; urgency=low
 .
   * Modified maintainer address
   * closes: #129109
Files: 
 135c279e6f86a7ba7a789b05c4ed81ee 627 web optional cgiemail_1.6-16.dsc
 e8dc83b1399ad1f2f7575e042f9f4e6a 36174 web optional cgiemail_1.6.orig.tar.gz
 9be88317907e537df4746e1ee09e2206 13287 web optional cgiemail_1.6-16.diff.gz
 171da7ddd4e2d8f6ca1cb7b383971023 31938 web optional cgiemail_1.6-16_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iEYEARECAAYFAj6ialcACgkQuCinHABTDCS+/wCfbjntpT5pBtr7DUyD+QJg6Opm
Zf0An134cmIh9ghN8Auf62G1/PpBdJ8u
=4/BX
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#129109; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 129109@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Thomas Smith <tgs@finbar.dyndns.org>
Cc: 129109@bugs.debian.org, Colin Watson <cjw44@flatline.org.uk>, A.Monsalve.Salazar@IEEE.org
Subject: Re: working on security fixes
Date: Sun, 20 Apr 2003 20:51:31 +1000
* Thomas Smith <tgs@finbar.dyndns.org> [2002-01-16 17:34]:
> I, the former maintainer, am working on security fixes with Colin
> Watson.  Hopefully soon this package will be free of the bigger security
> bugs, and thus easier to adopt.

What are these security issues?  I cannot find any bugs about this.
If there are security issues, this package should surely be removed,
or?

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#129109; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Anibal Monsalve Salazar <anibal@computer.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 129109@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Thomas Smith <tgs@finbar.dyndns.org>, 129109@bugs.debian.org, Colin Watson <cjw44@flatline.org.uk>
Subject: Re: working on security fixes
Date: Sun, 20 Apr 2003 21:34:35 +1000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 2003-04-20 at 20:51 +1000, Martin Michlmayr wrote:

>* Thomas Smith <tgs@finbar.dyndns.org> [2002-01-16 17:34]:
>> I, the former maintainer, am working on security fixes with Colin
>> Watson.  Hopefully soon this package will be free of the bigger security
>> bugs, and thus easier to adopt.
>
>What are these security issues?  I cannot find any bugs about this.
>If there are security issues, this package should surely be removed,
>or?

The security issue (bug #129104) was closed with version 1.6-14, as
per the changelog file:

  cgiemail (1.6-14) unstable; urgency=high

    * fixed up the debconf stuff again, this time it's Right.
    * upped standards-version
    * added perl to build-depends because i use pod2man.
    * This version will finally be released, so can do this:
      Closes: Bug#129104.  Fixes security vulnerabilities.
    * Thanks, Colin Watson.

   -- Thomas Smith <tgs@debian.org>  Tue,  9 Apr 2002 21:52:17 -0500

>-- 
>Martin Michlmayr
>tbm@cyrius.com

Anibal

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)
Comment: http://www-personal.monash.edu.au/~anibal/gpg-public-key.shtml

iD8DBQE+ooXMipBneRiAKDwRAsPnAJ92yuUyCB84SkNIE2QarpX+b1QuxQCcCyeu
WLZ9OoA+Tpi6C1qQEm6ryEI=
=Juhy
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#129109; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 129109@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Anibal Monsalve Salazar <anibal@computer.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, Thomas Smith <tgs@finbar.dyndns.org>, 129109@bugs.debian.org
Subject: Re: working on security fixes
Date: Sun, 20 Apr 2003 18:03:48 +0100
On Sun, Apr 20, 2003 at 09:34:35PM +1000, Anibal Monsalve Salazar wrote:
> On 2003-04-20 at 20:51 +1000, Martin Michlmayr wrote:
> >* Thomas Smith <tgs@finbar.dyndns.org> [2002-01-16 17:34]:
> >> I, the former maintainer, am working on security fixes with Colin
> >> Watson.  Hopefully soon this package will be free of the bigger security
> >> bugs, and thus easier to adopt.
> >
> >What are these security issues?  I cannot find any bugs about this.
> >If there are security issues, this package should surely be removed,
> >or?
> 
> The security issue (bug #129104) was closed with version 1.6-14, as
> per the changelog file:

Yep, we did indeed fix these ages ago.

Cheers,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:00:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.